# Interface Aggregator.Aggregation

Enclosing interface:
  `Aggregator`

public static interface Aggregator.Aggregation
Object that can manage aggregation for a given type of input data.

Since:
  16 Nov 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Aggregator.Accumulator`
`createAccumulator()`
Returns an object which can perform aggregation on a number of typed values.
`uk.ac.starlink.table.ValueInfo`
`getResultInfo()`
Returns metadata describing the result of the aggregation.

## Method Details

### getResultInfo

uk.ac.starlink.table.ValueInfo getResultInfo()
Returns metadata describing the result of the aggregation.

Returns:
  output metadata

### createAccumulator

Aggregator.Accumulator createAccumulator()
Returns an object which can perform aggregation on a number of typed values.

Returns:
  accumulator, not threadsafe